# QR Code

#### Available properties:

| Property               | Description                                                                                                                                                                                                                                                                                                                               |
| ---------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **payload**            | String. **Content of the QR code when it will be read by a QR Code reader.**                                                                                                                                                                                                                                                              |
| **`background_color`** | **Color of the background**. Must be a monochrome ([6-8 digits hexa color](/rest-api/generation/element-properties/root.md#image-background)) or [cmyka format](/rest-api/generation/element-properties/root.md#cmyka) (for print)                                                                                                        |
| **`foreground_color`** | **Color of the foreground** (all squares). Must be a monochrome ([6-8 digits hexa color](/rest-api/generation/element-properties/root.md#image-background)) or [cmyka format](/rest-api/generation/element-properties/root.md#cmyka) (for print)                                                                                          |
| **`image_url`**        | <p><strong>HTTP(s) URL of the icon displayed in the middle of the QR Code</strong> </p><p></p><p><em>It must be a public accessible link and have a filesize of 10 mo maximum.</em></p><p></p><p>Supported files: <strong><code>jpeg</code></strong>, <strong><code>png</code></strong>, <strong><code>webp, svg, gif</code></strong></p> |
| **`hide_icon`**        | <p>Boolean (<code>true</code>, <code>false</code>)</p><p><strong>If true it hides the icon.</strong> </p>                                                                                                                                                                                                                                 |

#### Example:

| <p><code>"background\_color": "#f0f4ff" "foreground\_color": "#1b4550"</code></p><p><code>"payload": "<https://placeholder-url.com/abcdefgh>"</code></p>                                                                             | ![](/files/xpIMCwqS8be2uwMJQqYq) |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------------- |
| <p><code>"background\_color": "#fdfdfd" "foreground\_color": "#750000" "payload": "<https://placeholder-url.com/abcdefgh>"</code> </p><p><code>"image\_url": "<https://hosting-lin/icon.jpeg>"</code></p>                            | ![](/files/OdDCVEV0TVVR7KDfAtns) |
| <p><code>"background\_color": "cmyka(0,0,0,1,100)" "foreground\_color": "cmyka(0,100,100,54,100)" "payload": "<https://placeholder-url.com/abcdefgh>"</code> </p><p><code>"image\_url": "<https://hosting-lin/icon.jpeg>"</code></p> | ![](/files/OdDCVEV0TVVR7KDfAtns) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.abyssale.com/rest-api/generation/element-properties/qr-code.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
